% vgl. Matlab Kompakt 6. Auflage 
% W. Schweizer
% 08/2006 - 01/2016
% Simulation physikalischer Systeme - Computational Physics mit MATLAB 
% 2016

function s = polydar(obj)
% Hier ist das Objekt als Struktur bekannt
cf=obj.coef;
if length(cf) == 0
    s = '0';
else 
    s=[];
    for n=1:length(cf)
        s=[s ' + ' num2str(cf(length(cf)-n+1)) 'x^' num2str(n-1)];
    end
    s = s(3:end);
end